Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class BpelProcess

    java.lang.Object
      org.apache.ode.bpel.engine.BpelProcess

    public class BpelProcess

extends java.lang.Object

Entry point into the runtime of a BPEL process.

Field Summary
`static javax.xml.namespace.QName` | `PROP_LAZY_HYDRATE`
`static javax.xml.namespace.QName` | `PROP_MAX_INSTANCES`
`static javax.xml.namespace.QName` | `PROP_PATH`
`static javax.xml.namespace.QName` | `PROP_SVG`

Constructor Summary
`BpelProcess(ProcessConf conf)`

Method Summary
`protected DebuggerSupport` | `createDebuggerSupport()`
`protected BpelRuntimeContextImpl` | `createRuntimeContext(ProcessInstanceDAO dao, PROCESS template, org.apache.ode.bpel.engine.MyRoleMessageExchangeImpl instantiatingMessageExchange)` Create a version-appropriate runtime context.
`java.net.URI` | `getBaseResourceURI()` Retrives the base URI to use for local resource resolution.
`java.util.Set<ProcessConf.CLEANUP_CATEGORY>` | `getCleanupCategories(boolean instanceSucceeded)`
`ProcessConf` | `getConf()`
`protected DebuggerSupport` | `getDebuggerSupport()`
`protected BpelEngineImpl` | `getEngine()`
`long` | `getEstimatedHydratedSize()`
`ExternalVariableManager` | `getEVM()`
`protected EndpointReference` | `getInitialMyRoleEPR(OPartnerLink link)`
`protected Endpoint` | `getInitialPartnerRoleEndpoint(OPartnerLink link)`
`protected EndpointReference` | `getInitialPartnerRoleEPR(OPartnerLink link)`
`int` | `getInstanceInUseCount()`
`int` | `getInstanceMaximumCount()`
`long` | `getLastUsed()`
`OProcess` | `getOProcess()`
`protected PartnerRoleChannel` | `getPartnerRoleChannel(OPartnerLink partnerLink)`
`javax.xml.namespace.QName` | `getPID()`
`protected ProcessDAO` | `getProcessDAO()`
`org.w3c.dom.Node` | `getProcessProperty(javax.xml.namespace.QName propertyName)`
`java.lang.String` | `getProcessProperty(javax.xml.namespace.QName property, java.lang.String defaultValue)`
`ReplacementMap` | `getReplacementMap(javax.xml.namespace.QName processName)`
`java.util.Set<Endpoint>` | `getServiceNames()` Get all the services that are implemented by this process.
`long` | `getTimeout(OPartnerLink partnerLink)`
`void` | `handleWorkEvent(java.util.Map<java.lang.String,java.lang.Object> jobData)`
`boolean` | `hasActiveInstances()`
`boolean` | `hintIsHydrated()` Get a hint as to whether this process is hydrated.
`boolean` | `isCleanupCategoryEnabled(boolean instanceSucceeded, ProcessConf.CLEANUP_CATEGORY category)`
`boolean` | `isHydrationLazy()`
`boolean` | `isHydrationLazySet()`
`boolean` | `isInMemory()`
`boolean` | `processInterceptors(org.apache.ode.bpel.engine.MyRoleMessageExchangeImpl mex, InterceptorInvoker invoker)` Process the message-exchange interceptors.
`void` | `recoverActivity(ProcessInstanceDAO instanceDAO, java.lang.String channel, long activityId, java.lang.String action, FaultData fault)`
`void` | `registerMessageExchangeInterceptor(MessageExchangeInterceptor interceptor)`
`void` | `saveEvent(ProcessInstanceEvent event, ProcessInstanceDAO instanceDao)`
`void` | `saveEvent(ProcessInstanceEvent event, ProcessInstanceDAO instanceDao, java.util.List<java.lang.String> scopeNames)`
`long` | `sizeOf()`
`java.lang.String` | `toString()`
`void` | `unregisterMessageExchangeInterceptor(MessageExchangeInterceptor interceptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_PATH

    public static final javax.xml.namespace.QName PROP_PATH

### PROP_SVG

    public static final javax.xml.namespace.QName PROP_SVG

### PROP_LAZY_HYDRATE

    public static final javax.xml.namespace.QName PROP_LAZY_HYDRATE

### PROP_MAX_INSTANCES

    public static final javax.xml.namespace.QName PROP_MAX_INSTANCES

Constructor Detail

### BpelProcess

    public BpelProcess(ProcessConf conf)

Method Detail

### getBaseResourceURI

    public java.net.URI getBaseResourceURI()

  Retrives the base URI to use for local resource resolution.

  Returns:
    URI - instance representing the absolute file path to the physical location of the process definition folder.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEVM

    public ExternalVariableManager getEVM()

### recoverActivity

    public void recoverActivity(ProcessInstanceDAO instanceDAO,
                                java.lang.String channel,
                                long activityId,
                                java.lang.String action,
                                FaultData fault)

### createDebuggerSupport

    protected DebuggerSupport createDebuggerSupport()

### getDebuggerSupport

    protected DebuggerSupport getDebuggerSupport()

### processInterceptors

    public boolean processInterceptors(org.apache.ode.bpel.engine.MyRoleMessageExchangeImpl mex,
                                       InterceptorInvoker invoker)

  Process the message-exchange interceptors.

  Parameters:
    `mex` - message exchange
  Returns:
    `true` if execution should continue, `false` otherwise

### handleWorkEvent

    public void handleWorkEvent(java.util.Map<java.lang.String,java.lang.Object> jobData)

  See Also:
    `org.apache.ode.bpel.engine.BpelProcess#handleWorkEvent(java.util.Map)`

### getProcessDAO

    protected ProcessDAO getProcessDAO()

### getServiceNames

    public java.util.Set<Endpoint> getServiceNames()

  Get all the services that are implemented by this process.

  Returns:
    list of qualified names corresponding to the myroles.

### getInitialPartnerRoleEPR

    protected EndpointReference getInitialPartnerRoleEPR(OPartnerLink link)

### getInitialPartnerRoleEndpoint

    protected Endpoint getInitialPartnerRoleEndpoint(OPartnerLink link)

### getInitialMyRoleEPR

    protected EndpointReference getInitialMyRoleEPR(OPartnerLink link)

### getPID

    public javax.xml.namespace.QName getPID()

### getPartnerRoleChannel

    protected PartnerRoleChannel getPartnerRoleChannel(OPartnerLink partnerLink)

### saveEvent

    public void saveEvent(ProcessInstanceEvent event,
                          ProcessInstanceDAO instanceDao)

### saveEvent

    public void saveEvent(ProcessInstanceEvent event,
                          ProcessInstanceDAO instanceDao,
                          java.util.List<java.lang.String> scopeNames)

### getOProcess

    public OProcess getOProcess()

### getReplacementMap

    public ReplacementMap getReplacementMap(javax.xml.namespace.QName processName)

### getEngine

    protected BpelEngineImpl getEngine()

### isInMemory

    public boolean isInMemory()

### getLastUsed

    public long getLastUsed()

### hintIsHydrated

    public boolean hintIsHydrated()

  Get a hint as to whether this process is hydrated. Note this is only a hint, since things could change.

### createRuntimeContext

    protected BpelRuntimeContextImpl createRuntimeContext(ProcessInstanceDAO dao,
                                                          PROCESS template,
                                                          org.apache.ode.bpel.engine.MyRoleMessageExchangeImpl instantiatingMessageExchange)

  Create a version-appropriate runtime context.

### getInstanceInUseCount

    public int getInstanceInUseCount()

### isCleanupCategoryEnabled

    public boolean isCleanupCategoryEnabled(boolean instanceSucceeded,
                                            ProcessConf.CLEANUP_CATEGORY category)

### getCleanupCategories

    public java.util.Set<ProcessConf.CLEANUP_CATEGORY> getCleanupCategories(boolean instanceSucceeded)

### getProcessProperty

    public org.w3c.dom.Node getProcessProperty(javax.xml.namespace.QName propertyName)

### getConf

    public ProcessConf getConf()

### hasActiveInstances

    public boolean hasActiveInstances()

### registerMessageExchangeInterceptor

    public void registerMessageExchangeInterceptor(MessageExchangeInterceptor interceptor)

### unregisterMessageExchangeInterceptor

    public void unregisterMessageExchangeInterceptor(MessageExchangeInterceptor interceptor)

### sizeOf

    public long sizeOf()

### getProcessProperty

    public java.lang.String getProcessProperty(javax.xml.namespace.QName property,
                                               java.lang.String defaultValue)

### isHydrationLazy

    public boolean isHydrationLazy()

### isHydrationLazySet

    public boolean isHydrationLazySet()

### getInstanceMaximumCount

    public int getInstanceMaximumCount()

### getEstimatedHydratedSize

    public long getEstimatedHydratedSize()

### getTimeout

    public long getTimeout(OPartnerLink partnerLink)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD